List Plan Definition Schemas

List Plan Definition Schemas
List plan definition schemas

This endpoint retrieves JSON schemas for configuring service plan definitions across all service offerings. The schemas define the structure and validation rules for plan properties.

This endpoint is restricted to platform administrators and service administrators.

The endpoint attempts to fetch schemas from all service offerings. If a broker returns an error (including when the offering doesn't support plan definitions), the schema will be null but the offering is still included in the results.

Request
URI
GET
https://api.example.local/v3/service_plan_definition_schemas
COPY
Query Parameters
integer
page
Optional

Page to display; valid values are integers >= 1

page example
1
integer
per_page
Optional

Number of results per page, valid values are 1 through 5000

per_page example
50
string
order_by
Optional

Value to sort by. Defaults to ascending; prepend with - to sort descending.

order_by example
created_at
string of array
names
Optional

Comma-delimited list of service offering names to filter by

string of array
service_broker_guids
Optional

Comma-delimited list of service broker GUIDs to filter by

string of array
service_broker_names
Optional

Comma-delimited list of service broker names to filter by

string
label_selector
Optional

A query string containing a list of label selector requirements

label_selector example
environment=production

Authentication
This operation uses the following authentication methods.
Responses
200

OK

Returns ServiceOfferingPlanDefinitionSchemaList of type(s) application/json
{
    "pagination": {
        "total_results": 0,
        "total_pages": 0,
        "first": {
            "href": "string",
            "method": "string"
        },
        "last": {
            "href": "string",
            "method": "string"
        },
        "next": {
            "href": "string",
            "method": "string"
        },
        "previous": {
            "href": "string",
            "method": "string"
        }
    },
    "resources": [
        {
            "guid": "string",
            "schema": {
                "json_schema": {},
                "ui_schema": {},
                "version": "string"
            },
            "relationships": {
                "service_offering": {
                    "data": {
                        "guid": "string"
                    }
                }
            },
            "links": {
                "self": {
                    "href": "string",
                    "method": "string"
                },
                "service_offering": {
                    "href": "string",
                    "method": "string"
                }
            }
        }
    ]
}
object
pagination
Optional

Pagination is a technique used to divide a large set of results into smaller, more manageable sets. This allows clients to retrieve results in smaller chunks, reducing the amount of data transferred and improving performance. The pagination object is a JSON object that contains information about the pagination state of the results. It includes the total number of results available, the total number of pages available, and links to the first, last, next, and previous pages of results.

array of object
resources
Optional

resources


400

Bad Request

Returns BadRequest of type(s) application/json
{
    "errors": [
        {
            "code": 0,
            "detail": "string",
            "title": "string"
        }
    ]
}
array of object
errors
Optional

errors


401

Unauthorized

Returns Unauthorized of type(s) application/json
{
    "errors": [
        {
            "code": 0,
            "detail": "string",
            "title": "string"
        }
    ]
}
array of object
errors
Optional

errors


500

Internal Server Error

Returns 500 of type(s) application/json
{
    "errors": [
        {
            "code": 0,
            "detail": "string",
            "title": "string"
        }
    ]
}
array of object
errors
Optional

errors


Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/v3/service_plan_definition_schemas